### Hierarchy

- unknown
  - GetMyOfferRequest

## Index

### Constructors

- constructor

### Methods

- getId
- serializeBinary
- setId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetMyOfferRequest(): GetMyOfferRequest

- Inherited from jspb.Message.constructor

  #### Returns GetMyOfferRequest

## Methods

### getId

- getId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1348

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1351

  #### Returns Uint8Array

### setId

- setId(value: string): GetMyOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1349

  #### Parameters

  - ##### value: string

  #### Returns GetMyOfferRequest

### toObject

- toObject(includeInstance?: boolean): GetMyOfferRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1352

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetMyOfferRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMyOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1355

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMyOfferRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMyOfferRequest, reader: BinaryReader): GetMyOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1356

  #### Parameters

  - ##### message: GetMyOfferRequest

  - ##### reader: BinaryReader

  #### Returns GetMyOfferRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMyOfferRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1354

  #### Parameters

  - ##### message: GetMyOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetMyOfferRequest ): GetMyOfferRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1353

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMyOfferRequest

  #### Returns GetMyOfferRequest . AsObject

Generated using TypeDoc